Subject: bug#42064: 28.0.50; German "Sharp S" is capitalized inconsistenly

From: Stefan Kangas <[email-masked]>
Date: Mon, 19 Oct 2020 08:57:31 +0000

tags 42064 + wontfix notabug
close 42064
thanks

Werner LEMBERG <[email-masked]> writes:

> AFAICS, the behaviour of the German postfix input method is fully
> correct.  The default lowercase/uppercase pairing is 'ß/SS'. 'ẞ'
> should not be a target of 'uppercase-fication'; its use is very
> special.[*]
>
>> Does that mean that this is a wontfix?
>
> I suggest so.

Thanks Werner, your explanation was both interesting and helpful.

Based on that, I'm closing this bug report now.

> [*] Mainly a solution to indicate 'ß' in names that have to be written
>     in uppercase letters.  Consider the names 'Strauss' and 'Strauß',
>     which both occur in German and have to be distinguished in
>     passports, where family names are to be written in uppercase:
>     'STRAUSS' and 'STRAUẞ'.  However, in every other context, they
>     should be both uppercased as 'STRAUSS'.